package com.hzya.frame.seeyon.zxbank.entity;

public enum PayState {
    PAYING("PAYING","支付中"),
    PAID("PAID","已支付"),
    REJECTED("REJECTED","已驳回"),
    RETURN_REMITTANCE("RETURN_REMITTANCE","已退汇");

    private String type;
    //值
    private String value;

    public String getType() {
        return type;
    }

    public void setType(String type) {
        this.type = type;
    }

    public String getValue() {
        return value;
    }

    public void setValue(String value) {
        this.value = value;
    }

    PayState(String type, String value){
        this.type=type;
        this.value=value;
    }

    public static String payStateGetValue(String type){
        for (PayState payState : PayState.values()){
            if(payState.getType()==type||payState.getType().equals(type)){
                return payState.getValue().toString();
            }
        }
        return null;
    }
}
